Subject: bug#47058: 28.0.50; Dired Z: insert-directory: Reading directory: No such file or directory, CrossLine_linux_x86

From: Marco Centurion - URI <[email-masked]>
Date: Wed, 01 Sep 2021 10:59:07 -0300

Arthur Miller <[email-masked]> writes:

> Marco Centurion <[email-masked]> writes:
>
>> I can confirm that this bug is present and pretty easy to reproduce.
>> Steps to reproduce:
>>
>> ----
>> $ touch test1
>> $ tar czf test.tar.gz test1
>> $ rm test1
>>
>> In dired, press Z (`dired-do-compress`) when the point is on test.tar.gz
>> ----
> I just did all those steps in emacs -Q, and I can not confirm any errors. I
> named files exactly as you show there, and decompressed file is correctly named
> 'test1'.
>
> I tested in two different directories, you three shell commands from terminal
> (st in my case), and Z from dired created correctly test1.
>

Yes, the file is correctly decompressed.  The original report is about
an error message that shows up in the minibuffer "Reading directory: No
such file or directory, test".  And that's what I was able to reproduce
without having to download the file linked in the report, something that
I guess a lot of people wouldn't want to do.

> Press 'g'.

I do that, I just thought that it's a bit of a weird behaviour that
sometimes after pressing Z the dired buffer is consistent with what's
actually in the directory and sometimes it's not.  That is all.
Personally I wouldn't be opposed to reverting the buffer after every
operation that modifies files, but I'm sure most would and with good
reason.

-- 
Marco Centurion
Unidad de Recursos Informáticos
Facultad de Ingeniería - UdelaR